curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"reference_image": "<string>",
"engine": "balanced",
"fixed_generation": false,
"flavor": "faithful",
"is_portrait": false,
"portrait_style": "standard",
"prompt": "<string>",
"structure_strength": 50,
"style_strength": 100,
"webhook_url": "https://www.example.com/webhook"
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer"
payload = {
"image": "<string>",
"reference_image": "<string>",
"engine": "balanced",
"fixed_generation": False,
"flavor": "faithful",
"is_portrait": False,
"portrait_style": "standard",
"prompt": "<string>",
"structure_strength": 50,
"style_strength": 100,
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
reference_image: '<string>',
engine: 'balanced',
fixed_generation: false,
flavor: 'faithful',
is_portrait: false,
portrait_style: 'standard',
prompt: '<string>',
structure_strength: 50,
style_strength: 100,
webhook_url: 'https://www.example.com/webhook'
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image' => '<string>',
'reference_image' => '<string>',
'engine' => 'balanced',
'fixed_generation' => false,
'flavor' => 'faithful',
'is_portrait' => false,
'portrait_style' => 'standard',
'prompt' => '<string>',
'structure_strength' => 50,
'style_strength' => 100,
'webhook_url' => 'https://www.example.com/webhook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer"
payload := strings.NewReader("{\n \"image\": \"<string>\",\n \"reference_image\": \"<string>\",\n \"engine\": \"balanced\",\n \"fixed_generation\": false,\n \"flavor\": \"faithful\",\n \"is_portrait\": false,\n \"portrait_style\": \"standard\",\n \"prompt\": \"<string>\",\n \"structure_strength\": 50,\n \"style_strength\": 100,\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image\": \"<string>\",\n \"reference_image\": \"<string>\",\n \"engine\": \"balanced\",\n \"fixed_generation\": false,\n \"flavor\": \"faithful\",\n \"is_portrait\": false,\n \"portrait_style\": \"standard\",\n \"prompt\": \"<string>\",\n \"structure_strength\": 50,\n \"style_strength\": 100,\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image\": \"<string>\",\n \"reference_image\": \"<string>\",\n \"engine\": \"balanced\",\n \"fixed_generation\": false,\n \"flavor\": \"faithful\",\n \"is_portrait\": false,\n \"portrait_style\": \"standard\",\n \"prompt\": \"<string>\",\n \"structure_strength\": 50,\n \"style_strength\": 100,\n \"webhook_url\": \"https://www.example.com/webhook\"\n}"
response = http.request(request)
puts response.read_body{
"generated": [
"<string>"
],
"status": "CREATED",
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Style transfer an image
Style transfer an image using AI.
curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"reference_image": "<string>",
"engine": "balanced",
"fixed_generation": false,
"flavor": "faithful",
"is_portrait": false,
"portrait_style": "standard",
"prompt": "<string>",
"structure_strength": 50,
"style_strength": 100,
"webhook_url": "https://www.example.com/webhook"
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer"
payload = {
"image": "<string>",
"reference_image": "<string>",
"engine": "balanced",
"fixed_generation": False,
"flavor": "faithful",
"is_portrait": False,
"portrait_style": "standard",
"prompt": "<string>",
"structure_strength": 50,
"style_strength": 100,
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
reference_image: '<string>',
engine: 'balanced',
fixed_generation: false,
flavor: 'faithful',
is_portrait: false,
portrait_style: 'standard',
prompt: '<string>',
structure_strength: 50,
style_strength: 100,
webhook_url: 'https://www.example.com/webhook'
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image' => '<string>',
'reference_image' => '<string>',
'engine' => 'balanced',
'fixed_generation' => false,
'flavor' => 'faithful',
'is_portrait' => false,
'portrait_style' => 'standard',
'prompt' => '<string>',
'structure_strength' => 50,
'style_strength' => 100,
'webhook_url' => 'https://www.example.com/webhook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer"
payload := strings.NewReader("{\n \"image\": \"<string>\",\n \"reference_image\": \"<string>\",\n \"engine\": \"balanced\",\n \"fixed_generation\": false,\n \"flavor\": \"faithful\",\n \"is_portrait\": false,\n \"portrait_style\": \"standard\",\n \"prompt\": \"<string>\",\n \"structure_strength\": 50,\n \"style_strength\": 100,\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image\": \"<string>\",\n \"reference_image\": \"<string>\",\n \"engine\": \"balanced\",\n \"fixed_generation\": false,\n \"flavor\": \"faithful\",\n \"is_portrait\": false,\n \"portrait_style\": \"standard\",\n \"prompt\": \"<string>\",\n \"structure_strength\": 50,\n \"style_strength\": 100,\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image\": \"<string>\",\n \"reference_image\": \"<string>\",\n \"engine\": \"balanced\",\n \"fixed_generation\": false,\n \"flavor\": \"faithful\",\n \"is_portrait\": false,\n \"portrait_style\": \"standard\",\n \"prompt\": \"<string>\",\n \"structure_strength\": 50,\n \"style_strength\": 100,\n \"webhook_url\": \"https://www.example.com/webhook\"\n}"
response = http.request(request)
puts response.read_body{
"generated": [
"<string>"
],
"status": "CREATED",
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Autorizaciones
Bearer token authentication. Normally a Firebase or Cloud JWT. A 'comfyui-' prefixed API key is also accepted in this header: the prefix classifies the value as an API key and it is validated exactly as if it had been sent in X-API-Key. Accepted on the operations served by the comfyFirebase auth middleware (BE-9720, parity with ingest).
Cuerpo
Base64 or URL of the image to do the style transfer
Base64 or URL of the reference image for style transfer
Engine preset for style transfer
balanced, definio, illusio, 3d_cartoon, colorful_anime, caricature, real, super_real, softy When enabled, using the same settings will consistently produce the same image.
Flavor of the transferring style
faithful, gen_z, psychedelia, detaily, clear, donotstyle, donotstyle_sharp Indicates whether the image should be processed as a portrait.
Facial beautification on portrait images. Only used if is_portrait is true.
beautify_face, beautify_face_max Visual style applied to portrait images. Only used if is_portrait is true.
standard, pop, super_pop Prompt for the AI model
Allows to maintain the structure of the original image
0 <= x <= 100Percentage of style strength
0 <= x <= 100Optional callback URL for async notifications.
"https://www.example.com/webhook"
¿Esta página le ayudó?